Tag Archives: Mixed

Oanda mixed reviews over my choice of Dukascopy forex brokers live on my Youtube channel

Oanda mixed reviews over my choice of Dukascopy forex brokers with deadlines

Someone on Twitter recommended me to take a look at these reviews of Oanda. You should know my opinion and it is not exactly favorable for many reasons. I am not sure what is reliable but I think Babypips.com maybe best. Go below to my webinar live on my Youtube channel

The one I rely on most is this

Just an FYI note but I only use Oanda now because I have to. I think it is important to remember:

  1. Be wary of their market making by ensuring to only have virtual stop loss/take profit within your own system you develop.
  2. I found the API support help desk was useless. They don’t respond at all! You are very dependent on the projects found on GitHub to get by.
  3. I know of a few reports of lawsuits against. Oanda. I also base this on first hand knowledge.

You will find my Python course will be helpful to develop your own trading system to get around hard stop losses which are signals back to your broker. This could trigger the broker’s market making division to trade against you. One reason is you are letting the broker know your intended take profit or stop loss levels. This is something I would never recommend.

Here is an example of brokers trading against you….

Here is the Python course I speak of

Buy Now

More reasons why I now HAVE to use Oanda is this:

I also mentioned that Dukascopy Alexa ranking has been dropping over the year. I use this as a metric to potentially show that few people are using them. Also, I cannot be bothered to rewrite  Python scripts into Java to get it working with their platform JForex. Do remember I find Dukascopy is much better in so many ways. This includes they are an ECN which takes away the worry of market making which works against you. I just wish they had an API to keep up with competition since FXCM and Oanda supports Python.

Reminders

I have set a webinar event for tomorrow night on

Crypto vs Forex vs CFD

Now that I got the Oanda data working, we can do a comparison between all 3 of these asset classes with the latest data. I am pretty sure I will not be making a video playback available either. I will stream this LIVE on my Youtube channel at Youtube.com/quantlabs

This will take place on Monday Oct 29 at 7 PM EDT on LIVE on my Youtube channel at youtube.com/quantlabs

Tues is the deadline for the ANNUAL ANALYTICS sale.

This is currently HALF PRICE with the addition of Forex and CFDs now!

JOIN Now

HOW DO YOU START A PROFITABLE TRADING BUSINESS? Read more NOW >>>

NOTE I now post my TRADING ALERTS into my personal FACEBOOK ACCOUNT and TWITTER. Don't worry as I don't post stupid cat videos or what I eat!

Mixed Ubuntu and CentOS Linux versions screw up this MongoDB source code build. Potential solutions?

Mixed Ubuntu and CentOS Linux versions screw up this MongoDB source code build. Potential solutions?

UPDATE: This is easiest solution which is get a clean install of Ubuntu 12.0.4 and just run ‘sudo apt-get install mongodb’. There goes my wasted day of all this other junk below.

 

Use the following links to build your MongoDB installation. I did CentOS Linux and then Ubuntu after some weird failure during the build.  This was a bitch to build as compared to other NOSQL options like Redis.
http://www.mongodb.org/display/DOCS/CentOS+and+Fedora+Packages
http://www.mongodb.org/display/DOCS/Quickstart+Unix
http://www.mongodb.org/display/DOCS/Tutorial
When doing ‘git tag –I’ of available versions, ensure to choose a release candidate like ‘…-rc1’ to ensure proper a compilation build. I would advise using the exact version listed which was 2.0.4. Also, ensure to install the latest Linux packages. For Ubuntu, do ‘apt-get upgrade’. There is a difference between the two:
=> apt-get update : Update is used to resynchronize the package index files from their sources via Internet.

=> apt-get upgrade : Upgrade is used to install the newest versions of all packages currently installed on the system

You may need to apt-get install pcapand wcap libraries  so do apt-get install libpcap-dev
NOTE: I have run into all kinds of build problems with Ubuntu 10.0.4 so I tried a current version of 12.
I did not have the patience to bother will older version of Ubuntu or CentOS with the weird problems I ran into below.
These errors included and possible solutions:
http://www.mongodb.org/display/DOCS/Building+Spider+Monkeyhttp://www.mongodb.org/display/DOCS/Building+Spider+Monkey

http://script.aculo.us/dist/
https://jira.mongodb.org/secure/a
ttachment/10270/build.log

https://jira.mongodb.org/browse/SERVER-1578

http://grokbase.com/t/gg/mongodb-user/123wh4rv61/compile-error-for-mongodb-version-r2-0-4

Best possible solution:
http://stackoverflow.com/questions/8741074/compiling-mongodb-r2-0-2-on-ubuntu-10-04-resulted-in-error

http://www.linuxquestions.org/questions/linux-software-2/install-libpcap-question-in-debian-235672/

http://stackoverflow.com/questions/8741074/compiling-mongodb-r2-0-2-on-ubuntu-10-04-resulted-in-error

https://jira.mongodb.org/browse/SERVER-5527
To run MongoDB with inserting and accessing data, do:
http://www.mongodb.org/display/DOCS/Tutorial

The above link appears to work ok once your MongoDB server is correctly install.
I also like this SQL chart of MongoDB commands verus something like Oracle
http://www.mongodb.org/display/DOCS/SQL+to+Mongo+Mapping+Chart

HOW DO YOU START A PROFITABLE TRADING BUSINESS? Read more NOW >>>

NOTE I now post my TRADING ALERTS into my personal FACEBOOK ACCOUNT and TWITTER. Don't worry as I don't post stupid cat videos or what I eat!